Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.java.io
Interface EndianOutput

public interface EndianOutput
extends java.io.DataOutput

Provides an interface describing streams that can write output in an endian-dependent format.

Method Summary
`void` | `writeHiLoChars(java.lang.String s)` Writes a string as a null-terminated sequence of chars in high-low order.
`void` | `writeHiLoInt(int v)` Writes a 32-bit int in high-low order.
`void` | `writeHiLoLong(long v)` Writes a 64-bit long in high-low order.
`void` | `writeHiLoShort(int v)` Writes a 16-bit short in high-low order.
`void` | `writeLoHiChars(java.lang.String s)` Writes a string as a null-terminated sequence of chars in low-high order.
`void` | `writeLoHiInt(int v)` Writes a 32-bit int in low-high order.
`void` | `writeLoHiLong(long v)` Writes a 64-bit long in low-high order.
`void` | `writeLoHiShort(int v)` Writes a 16-bit short in low-high order.

Methods inherited from interface java.io.DataOutput
`write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Method Detail

### writeHiLoChars

    public void writeHiLoChars(java.lang.String s)
                        throws java.io.IOException

  Writes a string as a null-terminated sequence of chars in high-low order.
  Parameters:
    `s` - A string of chars to be written.
  Throws:
    java.io.IOException - If an I/O error occurs.

### writeLoHiChars

    public void writeLoHiChars(java.lang.String s)
                        throws java.io.IOException

  Writes a string as a null-terminated sequence of chars in low-high order.
  Parameters:
    `s` - A string of chars to be written.
  Throws:
    java.io.IOException - If an I/O error has occurred.

### writeHiLoInt

    public void writeHiLoInt(int v)
                      throws java.io.IOException

  Writes a 32-bit int in high-low order.
  Parameters:
    `v` - An integer value to be written.
  Throws:
    java.io.IOException - If an I/O error has occurred.

### writeLoHiInt

    public void writeLoHiInt(int v)
                      throws java.io.IOException

  Writes a 32-bit int in low-high order.
  Parameters:
    `v` - An integer value to be written.
  Throws:
    java.io.IOException - If an I/O error has occurred.

### writeHiLoShort

    public void writeHiLoShort(int v)
                        throws java.io.IOException

  Writes a 16-bit short in high-low order.
  Parameters:
    `v` - A short value to be written.
  Throws:
    java.io.IOException - If an I/O error has occurred.

### writeLoHiShort

    public void writeLoHiShort(int v)
                        throws java.io.IOException

  Writes a 16-bit short in low-high order.
  Parameters:
    `v` - A short value to be written.
  Throws:
    java.io.IOException - If an I/O error has occurred.

### writeHiLoLong

    public void writeHiLoLong(long v)
                       throws java.io.IOException

  Writes a 64-bit long in high-low order.
  Parameters:
    `v` - A long value to be written.
  Throws:
    java.io.IOException - If an I/O error has occurred.

### writeLoHiLong

    public void writeLoHiLong(long v)
                       throws java.io.IOException

  Writes a 64-bit long in low-high order.
  Parameters:
    `v` - A long value to be written.
  Throws:
    java.io.IOException - If an I/O error has occurred.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD